Skip to Content
Reservations

Add or change a reservation extra

Toegang

Lid van de organisatie met dit recht:

  • reservations:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

POST
/orgs/{organizationId}/reservations/{reservationId}/extras

From the booking catalog or typed in; a period limits per-night extras to part of the stay.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

reservationId*string

Request Body

application/json
  1. body
id?string
bookingExtraId?string
name*string
Length1 <= length <= 120
unit?string
Default"PER_STAY"
Value in"PER_STAY""PER_NIGHT""PER_PERSON""PER_PERSON_PER_NIGHT"
quantity?integer
Range1 <= value <= 500
Default1
unitPrice*number
Range0 <= value <= 100000
taxPercentage?number
Range0 <= value <= 100
Default21
startsOn?|null
endsOn?|null
note?string
Lengthlength <= 200

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//reservations/string/extras' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "unitPrice": 0}'
Example Response
null